# Get files Gets a list of files in LawVu (with filters) Endpoint: GET /v1/files Version: 1.0 ## Query parameters: - `recordType` (string) The record type the file in linked to (Matter, Contract, Organisation etc)Options:MatterMilestoneTaskOrganisationContractFileInvoiceBatchKnowledgeArticleFolderFolderTemplateKnowledgeLibraryInboundEmailUserMessageThreadTimelineEntryMatterStatusContractStatusMessageComment Enum: "Matter", "Milestone", "Task", "Organisation", "Contract", "File", "InvoiceBatch", "KnowledgeArticle", "Folder", "FolderTemplate", "KnowledgeLibrary", "InboundEmail", "User", "MessageThread", "TimelineEntry", "MatterStatus", "ContractStatus", "Message", "Comment" - `recordId` (integer) The record id the file is linked to - `skip` (integer) The number of files to skip (used for paging) - `folderId` (integer) The folder id to get files from - `filtering.field` (string) Field to filter by (optional) - `filtering.operator` (string) Operator used for filtering (optional) Enum: "eq", "neq", "lt", "lte", "gt", "gte", "startswith", "endswith", "contains", "doesnotcon", "isnull" - `filtering.value` (string) Value to filter by (optional) - `sorting.direction` (string) Set the sorting direction Enum: "asc", "desc" - `sorting.field` (string) Set the sorting fields - `take` (integer) The maximum number of files to returnDefault: 50 - `recursive` (boolean) Set to true in order to include subdirectories and nested filesDefault: False ## Response 200 fields (text/plain): - `data` (array,null) Represents a single page of processed data. - `data.id` (integer) - `data.type` (string) Options:FolderFile Enum: "Folder", "File" - `data.name` (string,null) - `data.size` (integer) - `data.version` (integer) - `data.uploadedDateUtc` (string) - `data.isPrivate` (boolean) - `data.uploadedBy` (string,null) - `data.uploadedByOrganisation` (string,null) - `data.fileModifiedDateUtc` (string,null) - `data.documentId` (string,null) - `data.path` (string,null) - `total` (integer) The total number of records available.